image image image image image

On This Page

Supported Operating Systems


Operating SystemPlatform
Debian 8.9x86_64
Debian 8.11-Kernel 4.4x86_64

Debian 9.5-Kernel 4.14

x86_64

Debian 9.6-Kernel 4.14x86_64
Debian 9.9-Kernel 4.14x86_64

Fedora 29

x86_64

RHEL6.3/CentOS6.3x86_64
RHEL6.9/CentOS6.9x86_64/PPC64
RHEL6.10/CentOS6.10x86_64

RHEL7.2/CentOS7.2

x86_64/PPC64LE

RHEL7.4/CentOS7.4

x86_64/PPC64/PPC64LE

RHEL7.5/CentOS7.5

x86_64/PPC64/PPC64LE

RHEL7.6/CentOS7.6

x86_64/PPC64/PPC64LE

RHEL7.4 ALTAarch64
RHEL7.5 ALTAarch64

RHEL7.6 ALT (Pegas 1.2 LE for P9)

PPC64LE/ARM64

RHEL7.7/CentOS7.7

x86_64/PPC64/PPC64LE
RHEL8.0/CentOS8.0x86_64/PPC64LE/ARM64
RHEL8.1/CentOS8.1x86_64/PPC64LE
SLES11 SP3x86_64
SLES11 SP4x86_64/PPC64

SLES12 SP3

x86_64/PPC64LE

SLES12 SP4x86_64/PPC64LE/ARM64
SLES12 SP5x86_64/PPC64LE/ARM64

SLES15

x86_64/PPC64LE/ARM64

SLES15 SP1x86_64/PPC64LE/ARM64
Ubuntu 14.04.06x86_64

Ubuntu 16.04.06*

x86_64/PPC64LE

Ubuntu 18.04.02x86_64/PPC64LE/ARM64
Ubuntu 18.04.03x86_64/PPC64LE/ARM64
Ubuntu 19.04x86_64
Ubuntu 19.10x86_64
Kernel 5.3x86_64
EulerOS2.0 SP3ARM64
EulerOS2.0 SP5x86_64
EulerOS2.0 SP8Aarch64
OL 6.9x86_64
OL 6.10x86_64
OL 7.5x86_64
OL 7.6x86_64
OL 7.7x86_64
OL 8.0x86_64
XenServer 6.5 (Eth only)x86_64
XenServer 7.1 (IB only)x86_64

32 bit platforms are no longer supported in MLNX_EN.


Supported Non-Linux Virtual Machines

The following are the supported non-Linux Virtual Machines in this current MLNX_EN version:

HCAWindows Virtual Machine TypeWinOF versionProtocol

ConnectX-3

Windows 2012 R2 DC

MLNX_VPI 5.50

ETH

ConnectX-3 Pro

Windows 2016 DC

MLNX_VPI 5.50

ETH

ConnectX-4

Windows 2012 R2 DC

MLNX_WinOF2 2.20

ETH

ConnectX-4 Lx

Windows 2016 DC

MLNX_WinOF2 2.20

ETH


Tested Hypervisors in Paravirtualized and SR-IOV Environments


Tested HypervisorsHCAsOperating System
SR-IOV



All





RHEL8.1 KVM
RHEL7.5 KVM

RHEL7.6 KVM

RHEL7.6 ALT KVM

RHEL7.2 KVM
RHEL7.7 KVM
ConnectX-4/ConnectX-5SLES15 KVM
ParavirtualizedConnectX-3/ConnectX-4Ubuntu 16.04.4 KVM
SLES12 SP3 KVM
SLES12 SP4 KVM


Supported HCAs Firmware Versions

This MLNX_EN version supports the following Mellanox network adapter cards firmware versions:

HCARecommended Firmware Rev.Additional Firmware Rev. Supported

ConnectX®-3

2.42.5000

2.40.7000

ConnectX®-3 Pro

2.42.5000

2.40.7000

ConnectX®-4

12.26.4012

12.26.1040

ConnectX®-4 Lx

14.26.4012

14.26.1040

ConnectX®-5

16.26.4012

16.26.1040

ConnectX®-5 Ex

16.26.4012

16.26.1040

ConnectX®-620.26.401220.26.1040

Innova IPsec EN

14.26.4012

14.26.1040

BlueField™18.26.401218.26.1040

For the official firmware versions, please see:
http://www.mellanox.com/content/pages.php?pg=firmware_download